Go to the first, previous, next, last section, table of contents.

### `modfctr`

`modfctr(poly,mod)`
  :: Univariate factorizer over small finite fields

return
  list
poly
  univariate polynomial with integer coefficients
mod
  non-negative integer

- This function factorizes a univarate polynomial poly over the finite prime field of characteristic mod, where mod must be smaller than 2^31.
- The result is represented by a list, whose elements are a pair represented as [[num,1],[factor,multiplicity],...].
- Products of all factor^multiplicity and num is equal to poly.
- To factorize polynomials over large finite fields, use `fctr_ff` (see section Finite fields,section `fctr_ff`).

    [0] modfctr(x^10+x^2+1,2147483647);
    [[1,1],[x+1513477736,1],[x+2055628767,1],[x+91854880,1],
    [x+634005911,1],[x+1513477735,1],[x+634005912,1],
    [x^4+1759639395*x^2+2045307031,1]]

`References`
  section `fctr`, `sqfr`.

Go to the first, previous, next, last section, table of contents.